/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\Craftable artys\ml peerless\SpellWovenBritches.cs
Lines of code: 64
***********************************************************/


using System;
using Server.Items;

namespace Server.Items
{
	public class  SpellWovenBritchesRecipe : BaseRecipe
	{
	
		[Constructable]
		public SpellWovenBritchesRecipe()
		{		
		//InitRequirements();
		}
		
		
		//overrides:
		
		public override Type CraftedItem { get { return typeof(SpellWovenBritches); } }
		public override string artyname { get { return "Spell Woven Britches"; } }
		
		
	
		public override void InitRequirements()
		{
		base.InitRequirements(); //MUST be first! 
		
		//add required skills:
		
		RequiredSkills.Add(new ReqSkill(SkillName.Tailoring,92.5));
		
		//add required resources
		
		CommonResources.Add(new ReqRes("regular leather",typeof(Leather),15));
		
		RareResources.Add(new ReqRes("Eye of the travesty",typeof(EyeOfTheTravesty),1));		
		RareResources.Add(new ReqRes("Putrefaction",typeof(Putrefaction),10));		
		RareResources.Add(new ReqRes("Scourge",typeof(Scourge),10));		
		}	

			
	
		public SpellWovenBritchesRecipe( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}	
		
	}
	
	
	public class SpellWovenBritches : LeafLegs
	{
		public override int LabelNumber{ get{ return 1072929; } } // Spell Woven Britches

		public override int BaseFireResistance{ get{ return 15; } }
		public override int BasePoisonResistance{ get{ return 16; } }

		[Constructable]
		public SpellWovenBritches()
		{
			Hue = 0x487;

			SkillBonuses.SetValues( 0, SkillName.Meditation, 10.0 );

			Attributes.BonusInt = 8;
			Attributes.SpellDamage = 10;
			Attributes.LowerManaCost = 10;
		}

		public SpellWovenBritches( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.WriteEncodedInt( 0 );
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadEncodedInt();
		}
	}
}